@echo off
echo  ____ ___          ____      __   _ 
echo I    I   \  ____  I    I    I__I I I__
echo I    I   / /    \ I    I    I  I I __ \
echo I    I  / I   I  \I    I___ I  I I \_\ \
echo I______/  I___I__/I________\I__I I____ /
echo.
echo                        _  _
echo   Version 1.0         I \I I _  II _
echo            ___  _ _   I \\ I/o\/oI/o\
echo            I==]  Y    I_I\_I\_/\_I\__]
echo.

set title=UnLib
set output=UNLIB000.000
set libnum=660

sasm -e -N SUPROM39

echo 	NIBASC	\HP39BinH\             > _BDL.A
echo 	CON(2)	((Name)-(*)-2)/2      >> _BDL.A
echo 	NIBASC	\%title%\	      >> _BDL.A
echo Name                             >> _BDL.A

sasm -e -N _BDL
rplcomp lib.s _LIB.A _LIB.EXT
sasm -e -N _LIB

echo TITLE %title%                  > _BUILD.MN
echo OUTPUT __LIB.O                >> _BUILD.MN
echo LLIST _.LR                    >> _BUILD.MN
echo CONFIGURE libcfg              >> _BUILD.MN
echo NAME %title%>> _BUILD.MN
echo ROMPHEAD _HEAD.A              >> _BUILD.MN
echo REL _LIB.O                    >> _BUILD.MN
echo REL MASD.O                    >> _BUILD.MN
echo SEARCH SUPROM39.O             >> _BUILD.MN
echo TABLE _HASH.A                 >> _BUILD.MN
echo FINISH _END.A                 >> _BUILD.MN
echo END                           >> _BUILD.MN

makerom _BUILD.MN _BUILD.M
sasm -e -N _HEAD
sasm -e -N _HASH
sasm -e -N _END

echo TITLE %title%                 > _LOADER.M
echo OUTPUT %output%               >> _LOADER.M
echo OPTION CODE                   >> _LOADER.M
echo LLIST LIB.LR                  >> _LOADER.M
echo SUPPRESS XR                   >> _LOADER.M
echo SEARCH SUPROM39.O             >> _LOADER.M
echo REL _BDL.O                    >> _LOADER.M
echo REL __LIB.O                   >> _LOADER.M
echo CK LIB%libnum% SYSEND%libnum% >> _LOADER.M

sload _BUILD.M
sload -H _LOADER.M

del _.lr
del lib.lr
del __lib.o
del _bdl.o
del _end.o
del _hash.o
del _head.o
del _lib.o
del suprom39.o
del _bdl.a
del _build.m
del _build.mn
del _end.a
del _hash.a
del _head.a
del _lib.a
del _lib.ext
del _loader.m

echo.
echo.
echo Completed.